import * as _nuxt_schema from '@nuxt/schema';

interface ModuleOptions {
    /**
     * Prefix to be added before every lodash function.
     * False to disable prefix
     */
    prefix?: false | string;
    /**
     * Functions that starts with keywords in this array will be skipped by prefix
     */
    prefixSkip?: string[];
    /**
     * Array of lodash funcions to be exluded from auto-imports
     */
    exclude?: string[];
    /**
     * Iterable of string pairs to alias each function
     */
    alias?: Iterable<[string, string]>;
}
declare const _default: _nuxt_schema.NuxtModule<ModuleOptions>;

export { ModuleOptions, _default as default };
